List Label Access
curl --request GET \
--url https://api.royalti.io/labels/{labelId}/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/labels/{labelId}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/labels/{labelId}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": [
{
"TenantId": 123,
"LabelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"<string>"
],
"TenantUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"permissions": {},
"User": {
"email": "jsmith@example.com",
"profilePicture": "<string>"
}
}
}
],
"pagination": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"filteredItems": 123
}
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Resource not found"
}{
"status": "error",
"message": "Internal server error"
}Label
List Label Access
Authorization:
- Required role:
adminor higher
GET
/
labels
/
{labelId}
/
access
List Label Access
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Authorization:- Required role:
adminor higher
Code Examples
const response = await fetch('https://api.royalti.io/labels/example-id/access', {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/labels/example-id/access',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/labels/example-id/access \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
⌘I